org.apache.cxf.common.util

## Class ClassHelper

- java.lang.Object
- - org.apache.cxf.common.util.ClassHelper

-     public class ClassHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USE_DEFAULT_CLASS_HELPER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClassHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Class<?>` | `getRealClass(Bus bus, Object o)`
    `static Class<?>` | `getRealClass(Object o)`
    `static Class<?>` | `getRealClassFromClass(Bus bus, Class<?> cls)`
    `static Class<?>` | `getRealClassFromClass(Class<?> cls)`
    `protected Class<?>` | `getRealClassFromClassInternal(Class<?> cls)`
    `protected Class<?>` | `getRealClassInternal(Object o)`
    `static Object` | `getRealObject(Object o)`
    `protected Object` | `getRealObjectInternal(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USE_DEFAULT_CLASS_HELPER

          public static final String USE_DEFAULT_CLASS_HELPER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassHelper

          protected ClassHelper()

  - ### Method Detail

    - #### getRealClassInternal

          protected Class<?> getRealClassInternal(Object o)

    - #### getRealClassFromClassInternal

          protected Class<?> getRealClassFromClassInternal(Class<?> cls)

    - #### getRealObjectInternal

          protected Object getRealObjectInternal(Object o)

    - #### getRealClass

          public static Class<?> getRealClass(Object o)

    - #### getRealClassFromClass

          public static Class<?> getRealClassFromClass(Class<?> cls)

    - #### getRealClassFromClass

          public static Class<?> getRealClassFromClass(Bus bus,
                                                       Class<?> cls)

    - #### getRealObject

          public static Object getRealObject(Object o)

    - #### getRealClass

          public static Class<?> getRealClass(Bus bus,
                                              Object o)

Apache CXF